#!/usr/bin/env python
# coding: utf8
#
# Copyright (c) 2020 Centre National d'Etudes Spatiales (CNES).
#
# This file is part of CARS
# (see https://github.com/CNES/cars).
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
"""
grid_constants contains all the constants used in grid_generation module
"""


GRID_GENERATION_RUN_TAG = "grid_generation"

# Run infos

GRID_CORRECTION_TAG = "grid_correction"
CORRECTED_MATCHES_TAG = "corrected_filtered_matches"

EPIPOLAR_SIZE_X_TAG = "epipolar_size_x"
EPIPOLAR_SIZE_Y_TAG = "epipolar_size_y"
EPIPOLAR_ORIGIN_X_TAG = "epipolar_origin_x"
EPIPOLAR_ORIGIN_Y_TAG = "epipolar_origin_y"
EPIPOLAR_SPACING_X_TAG = "epipolar_spacing_x"
EPIPOLAR_SPACING_Y_TAG = "epipolar_spacing_y"

DISP_TO_ALT_RATIO_TAG = "disp_to_alt_ratio"
LEFT_AZIMUTH_ANGLE_TAG = "left_azimuth_angle"
LEFT_ELEVATION_ANGLE_TAG = "left_elevation_angle"
RIGHT_AZIMUTH_ANGLE_TAG = "right_azimuth_angle"
RIGHT_ELEVATION_ANGLE_TAG = "right_elevation_angle"
CONVERGENCE_ANGLE_TAG = "convergence_angle"
