#!/usr/bin/env python
# coding: utf8
#
# Copyright (c) 2020 Centre National d'Etudes Spatiales (CNES).
#
# This file is part of CARS
# (see https://github.com/CNES/cars).
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
"""
file contains all the constants used in cloud fusion module
"""


CLOUD_FUSION_RUN_TAG = "cloud_fusion"

# Params
METHOD = "method"
TERRAIN_TILE_SIZE = "terrain_tile_size"
RESOLUTION = "resolution"

# Run infos
EPSG_TAG = "epsg"
MARGINS_TAG = "margins"
NUMBER_TERRAIN_TILES = "number_terrain_tiles"
XSIZE = "x_size"
YSIZE = "y_size"
BOUNDS = "bounds"
